Bug 1426851 - Review Request: golang-github-bep-inflect - Go library to perform word transformations
Summary: Review Request: golang-github-bep-inflect - Go library to perform word transf...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Fabio Valentini
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1426972
TreeView+ depends on / blocked
 
Reported: 2017-02-25 17:59 UTC by Athos Ribeiro
Modified: 2017-04-04 16:02 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-04 16:02:17 UTC
Type: ---
decathorpe: fedora-review+


Attachments (Terms of Use)

Description Athos Ribeiro 2017-02-25 17:59:40 UTC
Spec URL: https://athoscr.fedorapeople.org/packaging/golang-github-bep-inflect.spec
SRPM URL: https://athoscr.fedorapeople.org/packaging/golang-github-bep-inflect-0-0.1.gitb896c45.fc25.src.rpm
Description:
Go library to perform word transformations

Fedora Account System Username: athoscr

Comment 1 Olivier Lemasle 2017-03-06 20:30:01 UTC
This package seems ok to me.

NB: I'm not yet a maintainer, as I haven't been sponsored, so this comment is unofficial.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "MIT/X11 (BSD like)", "Unknown or generated". 4 files have
     unknown license.
[x]: License file installed when any subpackage combination is installed.
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /usr/share/gocode/src,
     /usr/share/gocode, /usr/share/gocode/src/github.com
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in golang-
     github-bep-inflect-devel , golang-github-bep-inflect-unit-test-devel
[x]: Package functions as described.
[x]: Latest version is packaged.
     Note: This is the last commit.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: golang-github-bep-inflect-devel-0-0.1.gitb896c45.fc25.noarch.rpm
          golang-github-bep-inflect-unit-test-devel-0-0.1.gitb896c45.fc25.x86_64.rpm
          golang-github-bep-inflect-0-0.1.gitb896c45.fc25.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
2 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
golang-github-bep-inflect-devel (rpmlib, GLIBC filtered):

golang-github-bep-inflect-unit-test-devel (rpmlib, GLIBC filtered):
    golang-github-bep-inflect-devel



Provides
--------
golang-github-bep-inflect-devel:
    golang(github.com/bep/inflect)
    golang-github-bep-inflect-devel

golang-github-bep-inflect-unit-test-devel:
    golang-github-bep-inflect-unit-test-devel
    golang-github-bep-inflect-unit-test-devel(x86-64)



Source checksums
----------------
https://github.com/bep/inflect/archive/b896c45f5af983b1f416bdf3bb89c4f1f0926f69/inflect-b896c45.tar.gz :
  CHECKSUM(SHA256) this package     : e18e1c2bc532b69ab73a915db6708d3a4409346743aedb1e1f6de15587f3955b
  CHECKSUM(SHA256) upstream package : e18e1c2bc532b69ab73a915db6708d3a4409346743aedb1e1f6de15587f3955b

Comment 2 Fabio Valentini 2017-03-08 15:19:30 UTC
Taking this review.

Comment 3 Fabio Valentini 2017-03-08 15:26:58 UTC
koji scratch build for rawhide: https://koji.fedoraproject.org/koji/taskinfo?taskID=18265648

I agree that this package looks good, just one minor remark: You could remove the 3 empty %if-blocks at lines 52, 69 and 77 to clean the .spec file up a bit.

But since the .spec file is automatically generated (and the %if-blocks are only empty because there are no additional dependencies), that is okay (and this way it's easier to add dependencies, should the package grow new dependencies in the future - which I doubt in this case, though).

Comment 4 Athos Ribeiro 2017-03-08 17:49:44 UTC
Thank you for the reviews, Olivier and Fabio!

I will clean up the empty conditionals before uploading the package!

Comment 5 Fedora Update System 2017-03-08 19:15:07 UTC
golang-github-bep-inflect-0-0.2.gitb896c45.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-b90d6ec013

Comment 6 Fedora Update System 2017-03-10 23:22:44 UTC
golang-github-bep-inflect-0-0.2.gitb896c45.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-b90d6ec013

Comment 7 Fedora Update System 2017-04-04 16:02:17 UTC
golang-github-bep-inflect-0-0.2.gitb896c45.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.